GNU bug report logs - #22898
24.5; Frame Width increases on entering a Gnus Group

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Rares Vernica <rvernica@HIDDEN>; merged with #15700, #22000, #31626; dated Fri, 4 Mar 2016 00:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 15700 22000 22898 31626. Request was from David Engster <deng@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 15700 22000 22898. Request was from martin rudalics <rudalics@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 15700 22000 22898. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22898 <at> debbugs.gnu.org:


Received: (at 22898) by debbugs.gnu.org; 4 Mar 2016 17:06:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 04 12:06:22 2016
Received: from localhost ([127.0.0.1]:34001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1abtBF-00052T-Rq
	for submit <at> debbugs.gnu.org; Fri, 04 Mar 2016 12:06:22 -0500
Received: from mail-vk0-f44.google.com ([209.85.213.44]:36416)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rvernica@HIDDEN>) id 1abtBD-00052F-UX
 for 22898 <at> debbugs.gnu.org; Fri, 04 Mar 2016 12:06:20 -0500
Received: by mail-vk0-f44.google.com with SMTP id c3so59906996vkb.3
 for <22898 <at> debbugs.gnu.org>; Fri, 04 Mar 2016 09:06:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=W2VjZVzcq93dNXJ98h3Sf4bAFqUTxyTNXyBzQ7OYbkM=;
 b=xsU37kFQqP61uxH9sZz16+NP0n+mKrNLqfUIVvlVXNy8cBsGbVj27I3qZdHExSPl9j
 3ujaDzjBw4T2sNS696NVLVwTOa90oEzqK5FKsflsH/FOoqbjNQ8ylli7/JXzoLtdsHfU
 /bFISeTnQuR//BFljO6UOeb0fEGUXHwk6LreHHqLA+HXUfZLLR7r4RktPQBzWUfec6Zn
 zTslQviYRSSesXpGYmt0o125SIQlzaoyWHxMp60N6G5rFIjuLqITJQlClRWLdhGxVGVT
 BJFhhXrFgr2muCINgevZpXUMVshGsKXWj6Wf528yhswATfx0UNfdBeFrxUUB3gmlruvw
 aDGw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=W2VjZVzcq93dNXJ98h3Sf4bAFqUTxyTNXyBzQ7OYbkM=;
 b=lFfC5hqrJrfuJp/BCYOaMr1rONoHy5ZWcb1nrTf4hesE6Ij6geoQc6nkEK9kT/er7C
 fUX+3oRTfR4uxR7I5pcMTYUJfNMv9Og5eSPKlCl4b4GuZhurSzrw5968MHDCyEXXrE2j
 eKpnOejRmvVBvYqKhRGeAMYK95nTpGPLneBW/5nM5W+pFoxHAbpQeQ+CKUtLJ+oCMFg/
 GvWb1qLaR26KrIvmAtzn/ZDdX4YZq1mCcAd7EamSTHYD8cNYQwXg7PY12TW7Toync0z/
 gAHVdChF5a+JrNJbOE0pGkRBZEb80m22eMheOt/uNnhW+9QlMz5arSY/bXo2LI2x56h9
 ZeBg==
X-Gm-Message-State: AD7BkJJqxqAMX6DeQE9IFmj/IThrWLd4h81fKDToX8FGhD8lxq5IZpToaTNSlwDgyq+uxMUU276jxKOnWUuvaw==
MIME-Version: 1.0
X-Received: by 10.31.54.80 with SMTP id d77mr6240603vka.138.1457111174495;
 Fri, 04 Mar 2016 09:06:14 -0800 (PST)
Received: by 10.159.35.131 with HTTP; Fri, 4 Mar 2016 09:06:14 -0800 (PST)
In-Reply-To: <56D9BA10.2020301@HIDDEN>
References: <CALQ9KxCAjOgfMXHza1cyK-wE9fKTP5Q4hJvKt338c+gos7PRXw@HIDDEN>
 <87wppiiawv.fsf@HIDDEN> <56D9BA10.2020301@HIDDEN>
Date: Fri, 4 Mar 2016 09:06:14 -0800
Message-ID: <CALQ9KxCY3QQNN3nWet_FkE_52XOonBvsE9a-1FZkWhBfCCREWA@HIDDEN>
Subject: Re: bug#22898: 24.5; Frame Width increases on entering a Gnus Group
From: Rares Vernica <rvernica@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11438eaaf4450a052d3c2124
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22898
Cc: 22898 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11438eaaf4450a052d3c2124
Content-Type: text/plain; charset=UTF-8

On Fri, Mar 4, 2016 at 8:38 AM, martin rudalics <rudalics@HIDDEN> wrote:
>
> >> 1. Start Emacs in X, M-: (frame-width) returns 80
> >>
> >> 2. Start Gnus, (M-x gnus)
> >>
> >> 3. Open one of the groups
> >>
> >> 4. Frame width increases, frame-width returns > 80. Some times it
increases by 1 sometimes by more.
> >
> > I'm unable to reproduce this bug.  I don't think there's anything in
> > Gnus that alters the sizes of frames?  Unless you've made a Gnus window
> > configuration that does something like that...
> >
> > Or perhaps it chooses a wider font?  Do you have any such local
> > customisations?
>
> This could be the same as bug#15700 and bug#22000, due to a change
> of the number of items displayed in the menu bar.  Have a look at
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22000
>
> and tell us whether the symptoms reported there coincide with yours.

I think you are spot on. I can see the frame width increase with just the
right amount to fit the menu bar. On a regular group it increases with 1
column. On the "nndraft:drafts" group it increases with more since this
group has more menus.

Thanks!
Rares

--001a11438eaaf4450a052d3c2124
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">On Fri, Mar 4, 2016 at 8:38 AM, martin rudalics &lt;<a hre=
f=3D"mailto:rudalics@HIDDEN">rudalics@HIDDEN</a>&gt; wrote:<br>&gt;<br>&gt;=
 &gt;&gt; 1. Start Emacs in X, M-: (frame-width) returns 80<br>&gt; &gt;&gt=
;<br>&gt; &gt;&gt; 2. Start Gnus, (M-x gnus)<br>&gt; &gt;&gt;<br>&gt; &gt;&=
gt; 3. Open one of the groups<br>&gt; &gt;&gt;<br>&gt; &gt;&gt; 4. Frame wi=
dth increases, frame-width returns &gt; 80. Some times it increases by 1 so=
metimes by more.<br>&gt; &gt;<br>&gt; &gt; I&#39;m unable to reproduce this=
 bug.=C2=A0 I don&#39;t think there&#39;s anything in<br>&gt; &gt; Gnus tha=
t alters the sizes of frames?=C2=A0 Unless you&#39;ve made a Gnus window<br=
>&gt; &gt; configuration that does something like that...<br>&gt; &gt;<br>&=
gt; &gt; Or perhaps it chooses a wider font?=C2=A0 Do you have any such loc=
al<br>&gt; &gt; customisations?<br>&gt;<br>&gt; This could be the same as b=
ug#15700 and bug#22000, due to a change<br>&gt; of the number of items disp=
layed in the menu bar.=C2=A0 Have a look at<br>&gt;<br>&gt; <a href=3D"http=
://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D22000">http://debbugs.gnu.org/cg=
i/bugreport.cgi?bug=3D22000</a><br>&gt;<br>&gt; and tell us whether the sym=
ptoms reported there coincide with yours.<div><br></div><div>I think you ar=
e spot on. I can see the frame width increase with just the right amount to=
 fit the menu bar. On a regular group it increases with 1 column. On the &q=
uot;nndraft:drafts&quot; group it increases with more since this group has =
more menus.=C2=A0</div><div><br></div><div>Thanks!</div><div>Rares</div></d=
iv>

--001a11438eaaf4450a052d3c2124--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22898; Package emacs. Full text available.

Message received at 22898 <at> debbugs.gnu.org:


Received: (at 22898) by debbugs.gnu.org; 4 Mar 2016 16:38:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 04 11:38:51 2016
Received: from localhost ([127.0.0.1]:33961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1abskd-0003hw-Hw
	for submit <at> debbugs.gnu.org; Fri, 04 Mar 2016 11:38:51 -0500
Received: from mout.gmx.net ([212.227.17.20]:61617)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rudalics@HIDDEN>) id 1abskc-0003hj-EW
 for 22898 <at> debbugs.gnu.org; Fri, 04 Mar 2016 11:38:50 -0500
Received: from [192.168.1.100] ([212.95.7.40]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0Lt1yI-1Zs7dA3nPm-012cBP;
 Fri, 04 Mar 2016 17:38:43 +0100
Message-ID: <56D9BA10.2020301@HIDDEN>
Date: Fri, 04 Mar 2016 17:38:40 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lars Ingebrigtsen <larsi@HIDDEN>, 
 Rares Vernica <rvernica@HIDDEN>
Subject: Re: bug#22898: 24.5; Frame Width increases on entering a Gnus Group
References: <CALQ9KxCAjOgfMXHza1cyK-wE9fKTP5Q4hJvKt338c+gos7PRXw@HIDDEN>
 <87wppiiawv.fsf@HIDDEN>
In-Reply-To: <87wppiiawv.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:yeCniO7BgxQsTqZPZ7iGXKp8kEJDFqzpYYEshkqIs3AAtYqKlTP
 8TViAOBBjfo0meJ0NY0EbhKWHvYjqBSes6tGnwC9JDXzWxCPlQjgdk8bjzVZ1zMaI9VVQP7
 2qLxVlKEfXbpgt/ZJ++x3BQb8S7AJajyLm+Swh2xLOjUJ0Knt5KwcxK76xuWhEbk5tVvQMP
 XjOnBKIVP3P+6TloEtcgQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:bqtA2MV0KJQ=:Vc1D4vT7/WyO3GCF58Qhv/
 7OpobJR8ewQxwlnNOLVSo0SNwMNUngsdkhwxFqYsu0pQqh1rs5UZyrFnH410Hu6FpRaxLciFs
 ETCOBcxJI8bUOIIvPHBvqWqiZM1KXh6W0H1abvz0Ez4Ba5ehE+RTtBFfBfTxBzN+m3y51+0Vu
 w5v/FUGCKcdpdq/pr8026PRK5S/OrKp7Tjh8YT62IJ7K/JoRhYKotONw5LMeEH67JGDtfvc3o
 njYr7UP8XkcrRP4Zj3SarzLizCLRQXnvFBoI3tKi1TKB90DYbCGcFWRYkEryqwL8s9W8JWl1k
 9GX13UGL7kLwXRN4I2hSTuEaBIc2lL1ztIHLeufEN7w+5L9AZHDjZ0z6+2IWmbrtjazQA4F+w
 P+1rYLK+y5V2yKBMTy2byIpSmTwwp4d3Nz8eZEbRx1/phUoRV2bLHQUNDHNLv4RUvbeDiMkff
 /BEjN03zROqpH/xx/xKvs2I6TwkOmcZjZ+BbEImSe6IgzAJT9b7lBAA2666+mI1hcr1+tKOWA
 D1hAkhgOH8Ce8cK4w6KJtvD9nL9u0mP7s3QyZsPd3N9r9fE8tVpW6tfnniLanFEFH1N7UsFCi
 WMbqEtXR8yqJbo3mTuDR8Qp7Pa3jOK1+nhYyPbl7UqRSfU1rrlDacj14vfiQrnI0upjkaIvoc
 e7mgDr3cxgm0pZAN70ij8JKPBaJqYbWwVEz9UXd5BAFwSh4weS7xpCbaoqF5iC4BNugnw5Cbs
 DoMxH2QtOC8kOpyP6eDRms6b587LdF+8INRxeaG7IJjgmvQXwdfSWEXi8XPSUr5zpZCweCmzT
 rU/5sY8+FWZcy+jG2wcG+vyacrWwA==
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 22898
Cc: 22898 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

 >> 1. Start Emacs in X, M-: (frame-width) returns 80
 >>
 >> 2. Start Gnus, (M-x gnus)
 >>
 >> 3. Open one of the groups
 >>
 >> 4. Frame width increases, frame-width returns > 80. Some times it increases by 1 sometimes by more.
 >
 > I'm unable to reproduce this bug.  I don't think there's anything in
 > Gnus that alters the sizes of frames?  Unless you've made a Gnus window
 > configuration that does something like that...
 >
 > Or perhaps it chooses a wider font?  Do you have any such local
 > customisations?

This could be the same as bug#15700 and bug#22000, due to a change
of the number of items displayed in the menu bar.  Have a look at

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22000

and tell us whether the symptoms reported there coincide with yours.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22898; Package emacs. Full text available.

Message received at 22898 <at> debbugs.gnu.org:


Received: (at 22898) by debbugs.gnu.org; 4 Mar 2016 15:35:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 04 10:35:03 2016
Received: from localhost ([127.0.0.1]:33759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1abrkt-0000IP-0o
	for submit <at> debbugs.gnu.org; Fri, 04 Mar 2016 10:35:03 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:47451)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1abrkq-0000H0-9O
 for 22898 <at> debbugs.gnu.org; Fri, 04 Mar 2016 10:35:00 -0500
Received: from 2.150.35.31.tmi.telenormobil.no ([2.150.35.31] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1abrjl-0004Si-Hc; Fri, 04 Mar 2016 16:33:53 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Rares Vernica <rvernica@HIDDEN>
Subject: Re: bug#22898: 24.5; Frame Width increases on entering a Gnus Group
In-Reply-To: <CALQ9KxCAjOgfMXHza1cyK-wE9fKTP5Q4hJvKt338c+gos7PRXw@HIDDEN>
 (Rares Vernica's message of "Thu, 3 Mar 2016 16:11:45 -0800")
Date: Fri, 04 Mar 2016 14:18:40 +0000
Message-ID: <87wppiiawv.fsf@HIDDEN>
References: <CALQ9KxCAjOgfMXHza1cyK-wE9fKTP5Q4hJvKt338c+gos7PRXw@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1abrjl-0004Si-Hc
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1457710438.86799@aySBRcUZAetolYiQwwBFpw
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22898
Cc: 22898 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Rares Vernica <rvernica@HIDDEN> writes:

> 1. Start Emacs in X, M-: (frame-width) returns 80
>
> 2. Start Gnus, (M-x gnus)
>
> 3. Open one of the groups
>
> 4. Frame width increases, frame-width returns > 80. Some times it increases by 1 sometimes by more.

I'm unable to reproduce this bug.  I don't think there's anything in
Gnus that alters the sizes of frames?  Unless you've made a Gnus window
configuration that does something like that...

Or perhaps it chooses a wider font?  Do you have any such local
customisations?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22898; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Mar 2016 00:28:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 19:28:50 2016
Received: from localhost ([127.0.0.1]:60636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1abdbu-0000bf-8U
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2016 19:28:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35771)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rvernica@HIDDEN>) id 1abdLa-0000EE-2b
 for submit <at> debbugs.gnu.org; Thu, 03 Mar 2016 19:11:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rvernica@HIDDEN>) id 1abdLS-0004Jt-I3
 for submit <at> debbugs.gnu.org; Thu, 03 Mar 2016 19:11:52 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56753)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rvernica@HIDDEN>) id 1abdLS-0004Jp-EU
 for submit <at> debbugs.gnu.org; Thu, 03 Mar 2016 19:11:50 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54967)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rvernica@HIDDEN>) id 1abdLQ-0006yf-CU
 for bug-gnu-emacs@HIDDEN; Thu, 03 Mar 2016 19:11:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rvernica@HIDDEN>) id 1abdLO-0004JR-D6
 for bug-gnu-emacs@HIDDEN; Thu, 03 Mar 2016 19:11:48 -0500
Received: from mail-vk0-x22f.google.com ([2607:f8b0:400c:c05::22f]:36367)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rvernica@HIDDEN>) id 1abdLO-0004JL-6J
 for bug-gnu-emacs@HIDDEN; Thu, 03 Mar 2016 19:11:46 -0500
Received: by mail-vk0-x22f.google.com with SMTP id c3so38675801vkb.3
 for <bug-gnu-emacs@HIDDEN>; Thu, 03 Mar 2016 16:11:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to;
 bh=jU8Pf6exTtBAJ2kkRBClg8gRW25HQb4K/T6mTBwOVqM=;
 b=AiJvLkofLAEbVIDPhECl03L3TQDz6V4X/0tm05n9gk+GrQ4YYMEMmTB9KezpErXNOG
 VKdrb4tma8jeOyg+9DzrQXUWv1Z03/1rJ4ouyQur4qT21nIDDks4oac/K9WYFt96uHgs
 StVusIWuXPfCQcq/0LWEKudfYWqwJi3bDCpJhCWRjMn2WGlCKNhVsVZMYD4z5/1XlQlh
 i5TKede9XnieO4tSq8FU6H2awlzkZubwf2FwlLko8GHdr54wbQXJc9+nb5179N7HjRF2
 4653/FR7NROlDgtYUeQv2tdI4/Z69aklFNTPjI9H3cowY5+xfbeZnevsm8pT/AjYI6Pe
 QWaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to;
 bh=jU8Pf6exTtBAJ2kkRBClg8gRW25HQb4K/T6mTBwOVqM=;
 b=kTnTnIlGGacHGZyIcojwEmkGlWycuOHyvwDYSM2Im7Pd4CW+izOyJXgFXyNAfUxh+E
 NdApYgNGe1SUzmu3i4ydbtu164cCU2y+DwcfFXlTW8HDynjmbg/p91bO/hAxy4Yp6aE+
 Te7cmCA0fiWcriWkC7EcUyjmjV77+yrM6oer7EkdFw+gigPNhWNLOYLojDTMurcs+04N
 OOAKCH9QfOfkXMMDvLQsZoy96dR+qdgW9/x3kLL/YjYfjz4oaRYZiSGw/5I2rZFuyTcM
 RS7pAhpViJf9HFDmR5rqVcEeuzkzg4xjTfPmSK6ALINbcsBEJC+CiGg8WM3elIQ8Nqrf
 0XTg==
X-Gm-Message-State: AD7BkJIOCoqWI9RlyMjhuJ2AI5dCcCg9OT58+GHz6g4bDfpRw+gvsp4sL+J+HoFVWhqajuO4wC+JD6MGhmr2Pw==
MIME-Version: 1.0
X-Received: by 10.31.49.23 with SMTP id x23mr4277678vkx.0.1457050305466; Thu,
 03 Mar 2016 16:11:45 -0800 (PST)
Received: by 10.159.35.131 with HTTP; Thu, 3 Mar 2016 16:11:45 -0800 (PST)
Date: Thu, 3 Mar 2016 16:11:45 -0800
Message-ID: <CALQ9KxCAjOgfMXHza1cyK-wE9fKTP5Q4hJvKt338c+gos7PRXw@HIDDEN>
Subject: 24.5; Frame Width increases on entering a Gnus Group
From: Rares Vernica <rvernica@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a11437e36e095ff052d2df598
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 03 Mar 2016 19:28:48 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11437e36e095ff052d2df598
Content-Type: text/plain; charset=UTF-8

1. Start Emacs in X, M-: (frame-width) returns 80
2. Start Gnus, (M-x gnus)
3. Open one of the groups
4. Frame width increases, frame-width returns > 80. Some times it increases
by 1 sometimes by more.
5. Exit group and enter the same group again. The frame width does not
increase.
6. Exit group and enter a different group. The frame width *might* increase.

It seems that the amount the frame increases by depends on the contents of
the group, but I am not sure what exactly to look for in the group.




In GNU Emacs 24.5.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.18.7)
 of 2016-02-02 on buildhw-05.phx2.fedoraproject.org
Windowing system distributor `Fedora Project', version 11.0.11800000
System Description: Fedora release 23 (Twenty Three)

Configured using:
 `configure --build=x86_64-redhat-linux-gnu
 --host=x86_64-redhat-linux-gnu --program-prefix=
 --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 --libexecdir=/usr/libexec --localstatedir=/var
 --sharedstatedir=/var/lib --mandir=/usr/share/man
 --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
 --with-gpm=no build_alias=x86_64-redhat-linux-gnu
 host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
 -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
 -m64 -mtune=generic' LDFLAGS=-Wl,-z,relro'

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-undo-mode: t
  show-paren-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
delete-backward-char: Text is read-only
Quit
nnimap read 0k from outlook.office365.com
No more unseen articles
Expiring articles...done
nnimap read 0k from outlook.office365.com
No more unseen articles
Expiring articles...done
Quit
Auto-saving...

Load-path shadows:
None found.

Features:
(shadow emacsbug dabbrev ps-mule ps-print ps-def lpr gnus-draft misearch
multi-isearch flow-fill w3m-form w3m browse-url w3m-hist w3m-fb
bookmark-w3m w3m-ems w3m-ccl ccl w3m-favicon w3m-image w3m-proc w3m-util
mm-archive conf-mode mule-util qp smiley gnus-async gnus-bcklg gnus-ml
disp-table sql view mailalias smtpmail sendmail ispell sort bbdb-gui
help-mode gnus-cite org-element org-rmail org-mhe org-irc org-info
org-gnus org-docview doc-view jka-compr image-mode dired org-bibtex
bibtex org-bbdb org-w3m utf-7 nndraft nnmh nnml vc-git bbdb-gnus
bbdb-snarf mail-extr gnutls network-stream auth-source eieio eieio-core
starttls nnimap parse-time tls utf7 netrc gnus-agent gnus-srvr
gnus-score score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 mm-view
mml-smime smime password-cache dig mailcap nntp gnus-cache nnir gnus-sum
gnus-group gnus-undo nnmail mail-source nnoo bbdb-autoloads bbdb-vcard
vcard bbdb-com bbdb timezone gnus-start gnus-spec gnus-int gnus-range
message idna rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader
gnus-win gnus gnus-ems nnheader gnus-util mail-utils mm-util mail-prsvr
wid-edit xterm warnings server flymake-cursor flymake compile package
epg-config coffee-mode haml-mode js advice help-fns byte-opt bytecomp
byte-compile cl-extra cconv json imenu cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
markdown-mode derived thingatpt css-mode ruby-mode smie cl-macs edmacro
kmacro cl gv cl-loaddefs cl-lib info twiki w3m-load org org-macro
org-footnote org-pcomplete pcomplete org-list org-faces org-entities
noutline outline easy-mmode org-version ob-emacs-lisp ob ob-tangle
ob-ref ob-lob ob-table ob-exp org-src ob-keys ob-comint comint
ansi-color ring ob-core ob-eval org-compat org-macs org-loaddefs
format-spec find-func cal-menu calendar cal-loaddefs hideshow easymenu
paren time-date iswitchb tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 440894 49657)
 (symbols 48 48074 30)
 (miscs 40 644 1226)
 (strings 32 112719 10506)
 (string-bytes 1 3507905)
 (vectors 16 44879)
 (vector-slots 8 1179565 114789)
 (floats 8 601 1027)
 (intervals 56 1107 219)
 (buffers 960 89)
 (heap 1024 52144 5949))

--001a11437e36e095ff052d2df598
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><br></div><div>1. Start Emacs in X, M-: (frame-width)=
 returns 80</div><div>2. Start Gnus, (M-x gnus)</div><div>3. Open one of th=
e groups</div><div>4. Frame width increases, frame-width returns &gt; 80. S=
ome times it increases by 1 sometimes by more.</div><div>5. Exit group and =
enter the same group again. The frame width does not increase.</div><div>6.=
 Exit group and enter a different group. The frame width *might* increase.<=
/div><div><br></div><div>It seems that the amount the frame increases by de=
pends on the contents of the group, but I am not sure what exactly to look =
for in the group.</div><div><br></div><div><br></div><div><br></div><div><b=
r></div><div>In GNU Emacs 24.5.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.1=
8.7)</div><div>=C2=A0of 2016-02-02 on <a href=3D"http://buildhw-05.phx2.fed=
oraproject.org">buildhw-05.phx2.fedoraproject.org</a></div><div>Windowing s=
ystem distributor `Fedora Project&#39;, version 11.0.11800000</div><div>Sys=
tem Description:<span class=3D"" style=3D"white-space:pre">	</span>Fedora r=
elease 23 (Twenty Three)</div><div><br></div><div>Configured using:</div><d=
iv>=C2=A0`configure --build=3Dx86_64-redhat-linux-gnu</div><div>=C2=A0--hos=
t=3Dx86_64-redhat-linux-gnu --program-prefix=3D</div><div>=C2=A0--disable-d=
ependency-tracking --prefix=3D/usr --exec-prefix=3D/usr</div><div>=C2=A0--b=
indir=3D/usr/bin --sbindir=3D/usr/sbin --sysconfdir=3D/etc</div><div>=C2=A0=
--datadir=3D/usr/share --includedir=3D/usr/include --libdir=3D/usr/lib64</d=
iv><div>=C2=A0--libexecdir=3D/usr/libexec --localstatedir=3D/var</div><div>=
=C2=A0--sharedstatedir=3D/var/lib --mandir=3D/usr/share/man</div><div>=C2=
=A0--infodir=3D/usr/share/info --with-dbus --with-gif --with-jpeg --with-pn=
g</div><div>=C2=A0--with-rsvg --with-tiff --with-xft --with-xpm --with-x-to=
olkit=3Dgtk3</div><div>=C2=A0--with-gpm=3Dno build_alias=3Dx86_64-redhat-li=
nux-gnu</div><div>=C2=A0host_alias=3Dx86_64-redhat-linux-gnu &#39;CFLAGS=3D=
-DMAIL_USE_LOCKF -O2 -g</div><div>=C2=A0-pipe -Wall -Werror=3Dformat-securi=
ty -Wp,-D_FORTIFY_SOURCE=3D2</div><div>=C2=A0-fexceptions -fstack-protector=
-strong --param=3Dssp-buffer-size=3D4</div><div>=C2=A0-grecord-gcc-switches=
 -specs=3D/usr/lib/rpm/redhat/redhat-hardened-cc1</div><div>=C2=A0-m64 -mtu=
ne=3Dgeneric&#39; LDFLAGS=3D-Wl,-z,relro&#39;</div><div><br></div><div>Impo=
rtant settings:</div><div>=C2=A0 value of $LANG: en_US.utf8</div><div>=C2=
=A0 value of $XMODIFIERS: @im=3Dibus</div><div>=C2=A0 locale-coding-system:=
 utf-8-unix</div><div><br></div><div>Major mode: Group</div><div><br></div>=
<div>Minor modes in effect:</div><div>=C2=A0 gnus-undo-mode: t</div><div>=
=C2=A0 show-paren-mode: t</div><div>=C2=A0 iswitchb-mode: t</div><div>=C2=
=A0 tooltip-mode: t</div><div>=C2=A0 electric-indent-mode: t</div><div>=C2=
=A0 mouse-wheel-mode: t</div><div>=C2=A0 menu-bar-mode: t</div><div>=C2=A0 =
file-name-shadow-mode: t</div><div>=C2=A0 global-font-lock-mode: t</div><di=
v>=C2=A0 font-lock-mode: t</div><div>=C2=A0 auto-composition-mode: t</div><=
div>=C2=A0 auto-encryption-mode: t</div><div>=C2=A0 auto-compression-mode: =
t</div><div>=C2=A0 buffer-read-only: t</div><div>=C2=A0 line-number-mode: t=
</div><div>=C2=A0 transient-mark-mode: t</div><div><br></div><div>Recent me=
ssages:</div><div>delete-backward-char: Text is read-only</div><div>Quit</d=
iv><div>nnimap read 0k from <a href=3D"http://outlook.office365.com">outloo=
k.office365.com</a></div><div>No more unseen articles</div><div>Expiring ar=
ticles...done</div><div>nnimap read 0k from <a href=3D"http://outlook.offic=
e365.com">outlook.office365.com</a></div><div>No more unseen articles</div>=
<div>Expiring articles...done</div><div>Quit</div><div>Auto-saving...</div>=
<div><br></div><div>Load-path shadows:</div><div>None found.</div><div><br>=
</div><div>Features:</div><div>(shadow emacsbug dabbrev ps-mule ps-print ps=
-def lpr gnus-draft misearch</div><div>multi-isearch flow-fill w3m-form w3m=
 browse-url w3m-hist w3m-fb</div><div>bookmark-w3m w3m-ems w3m-ccl ccl w3m-=
favicon w3m-image w3m-proc w3m-util</div><div>mm-archive conf-mode mule-uti=
l qp smiley gnus-async gnus-bcklg gnus-ml</div><div>disp-table sql view mai=
lalias smtpmail sendmail ispell sort bbdb-gui</div><div>help-mode gnus-cite=
 org-element org-rmail org-mhe org-irc org-info</div><div>org-gnus org-docv=
iew doc-view jka-compr image-mode dired org-bibtex</div><div>bibtex org-bbd=
b org-w3m utf-7 nndraft nnmh nnml vc-git bbdb-gnus</div><div>bbdb-snarf mai=
l-extr gnutls network-stream auth-source eieio eieio-core</div><div>starttl=
s nnimap parse-time tls utf7 netrc gnus-agent gnus-srvr</div><div>gnus-scor=
e score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 mm-view</div><div>mm=
l-smime smime password-cache dig mailcap nntp gnus-cache nnir gnus-sum</div=
><div>gnus-group gnus-undo nnmail mail-source nnoo bbdb-autoloads bbdb-vcar=
d</div><div>vcard bbdb-com bbdb timezone gnus-start gnus-spec gnus-int gnus=
-range</div><div>message idna rfc822 mml mml-sec mm-decode mm-bodies mm-enc=
ode mail-parse</div><div>rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-=
utils mailheader</div><div>gnus-win gnus gnus-ems nnheader gnus-util mail-u=
tils mm-util mail-prsvr</div><div>wid-edit xterm warnings server flymake-cu=
rsor flymake compile package</div><div>epg-config coffee-mode haml-mode js =
advice help-fns byte-opt bytecomp</div><div>byte-compile cl-extra cconv jso=
n imenu cc-mode cc-fonts cc-guess</div><div>cc-menus cc-cmds cc-styles cc-a=
lign cc-engine cc-vars cc-defs</div><div>markdown-mode derived thingatpt cs=
s-mode ruby-mode smie cl-macs edmacro</div><div>kmacro cl gv cl-loaddefs cl=
-lib info twiki w3m-load org org-macro</div><div>org-footnote org-pcomplete=
 pcomplete org-list org-faces org-entities</div><div>noutline outline easy-=
mmode org-version ob-emacs-lisp ob ob-tangle</div><div>ob-ref ob-lob ob-tab=
le ob-exp org-src ob-keys ob-comint comint</div><div>ansi-color ring ob-cor=
e ob-eval org-compat org-macs org-loaddefs</div><div>format-spec find-func =
cal-menu calendar cal-loaddefs hideshow easymenu</div><div>paren time-date =
iswitchb tooltip electric uniquify ediff-hook vc-hooks</div><div>lisp-float=
-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt</div><div>fr=
inge tabulated-list newcomment lisp-mode prog-mode register page</div><div>=
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock</div>=
<div>syntax facemenu font-core frame cham georgian utf-8-lang misc-lang</di=
v><div>vietnamese tibetan thai tai-viet lao korean japanese hebrew greek</d=
iv><div>romanian slovak czech european ethiopic indian cyrillic chinese</di=
v><div>case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadv=
ice</div><div>loaddefs button faces cus-face macroexp files text-properties=
 overlay</div><div>sha1 md5 base64 format env code-pages mule custom widget=
</div><div>hashtable-print-readable backquote make-network-process dbusbind=
</div><div>gfilenotify dynamic-setting system-font-setting font-render-sett=
ing</div><div>move-toolbar gtk x-toolkit x multi-tty emacs)</div><div><br><=
/div><div>Memory information:</div><div>((conses 16 440894 49657)</div><div=
>=C2=A0(symbols 48 48074 30)</div><div>=C2=A0(miscs 40 644 1226)</div><div>=
=C2=A0(strings 32 112719 10506)</div><div>=C2=A0(string-bytes 1 3507905)</d=
iv><div>=C2=A0(vectors 16 44879)</div><div>=C2=A0(vector-slots 8 1179565 11=
4789)</div><div>=C2=A0(floats 8 601 1027)</div><div>=C2=A0(intervals 56 110=
7 219)</div><div>=C2=A0(buffers 960 89)</div><div>=C2=A0(heap 1024 52144 59=
49))</div><div><br></div></div>

--001a11437e36e095ff052d2df598--




Acknowledgement sent to Rares Vernica <rvernica@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22898; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 28 May 2018 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.